#1773 closed defect (fixed)

score/src/percpu.c: invalid namespace and printk

Reported by: Gedare Bloom Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: jennifer.averett@…, sebastian.huber@… Blocked By:
Blocking:

Description

commit 1.3 on score/src/percpu.c introduced two problems.

rtems_smp_maximum_processor is a namespace violation. If this is a configure-time option, the variable should be named as rtems_configuration_smp_maximum_processor

a printk statement without any DEBUG controls is inappropriate. It should be removed or protected with a proper debugging ifdef

Change History (4)

comment:1 Changed on Mar 28, 2011 at 4:16:16 PM by Gedare Bloom

Cc: Sebastian Huber added

comment:2 Changed on Mar 28, 2011 at 4:23:03 PM by Joel Sherrill

Cc: Jennifer Averett added

comment:3 Changed on Apr 4, 2011 at 3:39:54 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Fixed on head.

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.